ON_3dmRenderSettings Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmRenderSettings ()
| ~ON_3dmRenderSettings ()
| ON_3dmRenderSettings (const ON_3dmRenderSettings &)
ON_3dmRenderSettings & | operator= (const ON_3dmRenderSettings &)
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Dump (ON_TextLog &text_log) const
bool | ScaleBackgroundToFit () const
void | SetScaleBackgroundToFit (bool bScaleBackgroundToFit)

## Public Attributes

ON_BOOL32 | m_bCustomImageSize
int | m_image_width
int | m_image_height
double | m_image_dpi
ON::unit_system | m_image_us
ON_Color | m_ambient_light
int | m_background_style
ON_Color | m_background_color
ON_wString | m_background_bitmap_filename
ON_BOOL32 | m_bUseHiddenLights
ON_BOOL32 | m_bDepthCue
ON_BOOL32 | m_bFlatShade
ON_BOOL32 | m_bRenderBackfaces
ON_BOOL32 | m_bRenderPoints
ON_BOOL32 | m_bRenderCurves
ON_BOOL32 | m_bRenderIsoparams
ON_BOOL32 | m_bRenderMeshEdges
ON_BOOL32 | m_bRenderAnnotation
int | m_antialias_style
int | m_shadowmap_style
int | m_shadowmap_width
int | m_shadowmap_height
double | m_shadowmap_offset
ON_Color | m_background_bottom_color
bool | m_bUsesAmbientAttr
bool | m_bUsesBackgroundAttr
bool | m_bUsesBackfaceAttr
bool | m_bUsesPointsAttr
bool | m_bUsesCurvesAttr
bool | m_bUsesIsoparmsAttr
bool | m_bUsesMeshEdgesAttr
bool | m_bUsesAnnotationAttr
bool | m_bUsesHiddenLightsAttr

## Detailed Description

Definition at line 555 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmRenderSettings() [1/2]

ON_3dmRenderSettings::ON_3dmRenderSettings | ( |  | ) |

## ~ON_3dmRenderSettings()

ON_3dmRenderSettings::~ON_3dmRenderSettings | ( |  | ) |

## ON_3dmRenderSettings() [2/2]

ON_3dmRenderSettings::ON_3dmRenderSettings | ( | const ON_3dmRenderSettings & |  | ) |

## Member Function Documentation

## Default()

void ON_3dmRenderSettings::Default | ( |  | ) |

## Dump()

void ON_3dmRenderSettings::Dump | ( | ON_TextLog & | text_log | ) | const

## operator=()

ON_3dmRenderSettings& ON_3dmRenderSettings::operator= | ( | const ON_3dmRenderSettings & |  | ) |

## Read()

bool ON_3dmRenderSettings::Read | ( | ON_BinaryArchive & |  | ) |

## ScaleBackgroundToFit()

bool ON_3dmRenderSettings::ScaleBackgroundToFit | ( |  | ) | const

## SetScaleBackgroundToFit()

void ON_3dmRenderSettings::SetScaleBackgroundToFit | ( | bool | bScaleBackgroundToFit | ) |

## Write()

bool ON_3dmRenderSettings::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_ambient_light

ON_Color ON_3dmRenderSettings::m_ambient_light

Definition at line 594 of file opennurbs_3dm_settings.h.

## m_antialias_style

int ON_3dmRenderSettings::m_antialias_style

Definition at line 612 of file opennurbs_3dm_settings.h.

## m_background_bitmap_filename

ON_wString ON_3dmRenderSettings::m_background_bitmap_filename

Definition at line 598 of file opennurbs_3dm_settings.h.

## m_background_bottom_color

ON_Color ON_3dmRenderSettings::m_background_bottom_color

Definition at line 619 of file opennurbs_3dm_settings.h.

## m_background_color

ON_Color ON_3dmRenderSettings::m_background_color

Definition at line 597 of file opennurbs_3dm_settings.h.

## m_background_style

int ON_3dmRenderSettings::m_background_style

Definition at line 596 of file opennurbs_3dm_settings.h.

## m_bCustomImageSize

ON_BOOL32 ON_3dmRenderSettings::m_bCustomImageSize

Definition at line 576 of file opennurbs_3dm_settings.h.

## m_bDepthCue

ON_BOOL32 ON_3dmRenderSettings::m_bDepthCue

Definition at line 602 of file opennurbs_3dm_settings.h.

## m_bFlatShade

ON_BOOL32 ON_3dmRenderSettings::m_bFlatShade

Definition at line 603 of file opennurbs_3dm_settings.h.

## m_bRenderAnnotation

ON_BOOL32 ON_3dmRenderSettings::m_bRenderAnnotation

Definition at line 610 of file opennurbs_3dm_settings.h.

## m_bRenderBackfaces

ON_BOOL32 ON_3dmRenderSettings::m_bRenderBackfaces

Definition at line 605 of file opennurbs_3dm_settings.h.

## m_bRenderCurves

ON_BOOL32 ON_3dmRenderSettings::m_bRenderCurves

Definition at line 607 of file opennurbs_3dm_settings.h.

## m_bRenderIsoparams

ON_BOOL32 ON_3dmRenderSettings::m_bRenderIsoparams

Definition at line 608 of file opennurbs_3dm_settings.h.

## m_bRenderMeshEdges

ON_BOOL32 ON_3dmRenderSettings::m_bRenderMeshEdges

Definition at line 609 of file opennurbs_3dm_settings.h.

## m_bRenderPoints

ON_BOOL32 ON_3dmRenderSettings::m_bRenderPoints

Definition at line 606 of file opennurbs_3dm_settings.h.

## m_bUseHiddenLights

ON_BOOL32 ON_3dmRenderSettings::m_bUseHiddenLights

Definition at line 600 of file opennurbs_3dm_settings.h.

## m_bUsesAmbientAttr

bool ON_3dmRenderSettings::m_bUsesAmbientAttr

Definition at line 627 of file opennurbs_3dm_settings.h.

## m_bUsesAnnotationAttr

bool ON_3dmRenderSettings::m_bUsesAnnotationAttr

Definition at line 634 of file opennurbs_3dm_settings.h.

## m_bUsesBackfaceAttr

bool ON_3dmRenderSettings::m_bUsesBackfaceAttr

Definition at line 629 of file opennurbs_3dm_settings.h.

## m_bUsesBackgroundAttr

bool ON_3dmRenderSettings::m_bUsesBackgroundAttr

Definition at line 628 of file opennurbs_3dm_settings.h.

## m_bUsesCurvesAttr

bool ON_3dmRenderSettings::m_bUsesCurvesAttr

Definition at line 631 of file opennurbs_3dm_settings.h.

## m_bUsesHiddenLightsAttr

bool ON_3dmRenderSettings::m_bUsesHiddenLightsAttr

Definition at line 635 of file opennurbs_3dm_settings.h.

## m_bUsesIsoparmsAttr

bool ON_3dmRenderSettings::m_bUsesIsoparmsAttr

Definition at line 632 of file opennurbs_3dm_settings.h.

## m_bUsesMeshEdgesAttr

bool ON_3dmRenderSettings::m_bUsesMeshEdgesAttr

Definition at line 633 of file opennurbs_3dm_settings.h.

## m_bUsesPointsAttr

bool ON_3dmRenderSettings::m_bUsesPointsAttr

Definition at line 630 of file opennurbs_3dm_settings.h.

## m_image_dpi

double ON_3dmRenderSettings::m_image_dpi

Definition at line 588 of file opennurbs_3dm_settings.h.

## m_image_height

int ON_3dmRenderSettings::m_image_height

Definition at line 578 of file opennurbs_3dm_settings.h.

## m_image_us

ON::unit_system ON_3dmRenderSettings::m_image_us

Definition at line 592 of file opennurbs_3dm_settings.h.

## m_image_width

int ON_3dmRenderSettings::m_image_width

Definition at line 577 of file opennurbs_3dm_settings.h.

## m_shadowmap_height

int ON_3dmRenderSettings::m_shadowmap_height

Definition at line 616 of file opennurbs_3dm_settings.h.

## m_shadowmap_offset

double ON_3dmRenderSettings::m_shadowmap_offset

Definition at line 617 of file opennurbs_3dm_settings.h.

## m_shadowmap_style

int ON_3dmRenderSettings::m_shadowmap_style

Definition at line 614 of file opennurbs_3dm_settings.h.

## m_shadowmap_width

int ON_3dmRenderSettings::m_shadowmap_width

Definition at line 615 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h